> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/add-rasavdhostpoolassignment.md).

# Add-RASAVDHostPoolAssignment

## Add-RASAVDHostPoolAssignment

### NAME

Add-RASAVDHostPoolAssignment

### SYNOPSIS

Adds a user or group to the AVD Host Pool Assignment List.<br>

### SYNTAX

Add-RASAVDHostPoolAssignment \[-Id] *\<uint>* \[-Account *\<string>*] \[-SID *\<string>*] \[*\<CommonParameters>*]\
\
Add-RASAVDHostPoolAssignment \[-InputObject] *\<AVDHostPool>* \[-Account *\<string>*] \[-SID *\<string>*] \[*\<CommonParameters>*]\
\
Add-RASAVDHostPoolAssignment \[-Name] *\<string>* \[\[-SiteId] *\<uint>*] \[-Account *\<string>*] \[-SID *\<string>*] \[*\<CommonParameters>*]<br>

### DESCRIPTION

Adds a user or group to the AVD Host Pool Assignment List within an AVD Host Pool.<br>

### PARAMETERS

\
-**Id \<uint>**\
ID for which to modify the Azure Virtual Desktop Host Pool settings.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Name \<string>**\
The name of the target Azure Virtual Desktop Host Pool settings.\
\
This must be the actual Azure Virtual Desktop Host Pool name used in the RAS farm.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID in which to modify the specified Azure Virtual Desktop Host Pool settings .\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject \<AVDHostPool>**\
An object of type AVDHostPool for which to modify settings.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Account \<string>**\
The name of the account to add to the Assignments.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SID \<string>**\
The SID of the account to add to the Assignments.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 

```

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Add-RASAVDHostPoolAssignment -Id 1 -Account "JaneDoe"\
\
Adds a user to the AVD Host Pool Assignment List within the AVD Host Pool Settings specified by ID.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Add-RASAVDHostPoolAssignment -Name "Logon1" -Account "SID://DOMAIN/JaneDoe"\
\
Adds a user to the AVD Host Pool Assignment List within the AVD Host Pool Settings specified by Name.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/add-rasavdhostpoolassignment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
